org.bdgenomics.adam.models

# OrderedTrackedLayout

#### class OrderedTrackedLayout[T] extends TrackedLayout[T]

An implementation of TrackedLayout which takes a sequence of ReferenceMappable values, and lays them out in order (i.e. from first-to-last) in the naive way: for each value, it looks for the track with the lowest index that doesn't already have an overlapping value, and it doesn't use any special data structures (it just does a linear search for each track.)

T

  the type of value which is to be tracked.

Linear Supertypes
TrackedLayout[T], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OrderedTrackedLayout
2. TrackedLayout
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new OrderedTrackedLayout(reads: Traversable[T])(implicit mapping: ReferenceMapping[T])

   reads

     The set of values (i.e. "reads", but anything that is mappable to the reference genome ultimately) to lay out in tracks

   mapping

     The (implicit) reference mapping which converts values to ReferenceRegions

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### implicit val mapping: ReferenceMapping[T]

    The (implicit) reference mapping which converts values to ReferenceRegions

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### val numTracks: Int

    Definition Classes
      OrderedTrackedLayout → TrackedLayout

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### val trackAssignments: Map[T, Int]

    Definition Classes
      OrderedTrackedLayout → TrackedLayout

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TrackedLayout[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped